import { world, system } from "@minecraft/server";

system.beforeEvents.watchdogTerminate.subscribe((data) => data.cancel = true);

world.beforeEvents.chatSend.subscribe((chat) => {
    let sender = chat.sender
    let chatRank = sender.getTags().filter(t => t.startsWith("rank:")).map(e => e.slice(5))
    if (!chat.message.startsWith("-") && !sender.hasTag("Muted")) world.sendMessage(`§7[${chatRank.join("§7] [")}§7] §7${sender.name} §8> §f${chat.message}`)
    if (sender.hasTag("Muted")) {
        sender.sendMessage(`§eYou cannot chat while muted.`)
    }
    chat.cancel = true
})