import { chatrank } from './misc/chat.js'
import { world, system } from '@minecraft/server'
import { timer } from './misc/second.js'
let tick = 0, worldLoad = false;

world.beforeEvents.chatSend.subscribe((data) => {
    chatrank(data)
})
system.runInterval(() => {
    tick++
        worldLoad ? null : world.getDimension('overworld').runCommandAsync(`testfor @a`).then(e => { if(!worldLoad){ world.sendMessage(`World has loaded in ${tick} ticks`), worldLoad = true, world.scoreboard.addObjective('chatsSent', 'chatsSent')}}, onrejected => {return})
        if(system.currentTick % 20 == 0){
            timer()
        }
})